Package org.apache.nutch.net.urlnormalizer.pass

## Class PassURLNormalizer

- java.lang.Object
- - org.apache.nutch.net.urlnormalizer.pass.PassURLNormalizer

- All Implemented Interfaces:
    `Configurable`, `URLNormalizer`

      public class PassURLNormalizer
      extends Object
      implements URLNormalizer

  This URLNormalizer doesn't change urls. It is sometimes useful if for a given scope at least one normalizer must be defined but no transformations are required.
  Author:
    Andrzej Bialecki

- - ### Field Summary

    - ### Fields inherited from interface org.apache.nutch.net.URLNormalizer

      `X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PassURLNormalizer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Configuration` | `getConf()` |
    `String` | `normalize​(String urlString, String scope)` |
    `void` | `setConf​(Configuration conf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PassURLNormalizer

          public PassURLNormalizer()

  - ### Method Detail

    - #### normalize

          public String normalize​(String urlString,
                                  String scope)
                           throws MalformedURLException

      Specified by:
        `normalize` in interface `URLNormalizer`
      Throws:
        `MalformedURLException`

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

    - #### setConf

          public void setConf​(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`